> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/new-udsparkline.md).

# New-UDSparkline

### Synopsis

Small charts for displaying data.

### Syntax

```powershell
New-UDSparkline [-Id <String>] -Data <Int32[]> [-Limit <Int32>] [-Width <Int32>] [-Height <Int32>] [-Margin <Int32>] [-Color <DashboardColor>] [-Type <Object>] [-Min <Int32>] [-Max <Int32>] [<CommonParameters>]

    New-UDSparkline [-Id <String>] -Data <Int32[]> [-Width <Int32>] [-Height <Int32>] [-PlotType <Object>] [-ShowTooltip] [-ShowHighlight] [-Area] [<CommonParameters>]
```

### Description

Small charts for displaying data.

### Parameters

#### -Id

The ID of this component. The default value is a random GUID.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid().ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Data \<Int32\[]>

The data to display in the sparkline. Usually, a list of numbers.

```
Required?                    true
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Limit

The number of data points to display.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Width

The width of the sparkline.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Height

The height of the sparkline.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Margin

The margin of the sparkline.

```
Required?                    false
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Color

The color of the sparkline.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Type The type of sparkline to display. Valid values are bars, lines, and both.Required?                    falsePosition?                    namedDefault value                barsAccept pipeline input?       falseAliasesAccept wildcard characters?  false-PlotType Required?                    falsePosition?                    namedDefault value                lineAccept pipeline input?       falseAliasesAccept wildcard characters?  false-MinThe minimum value.Required?                    falsePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-MaxThe maximum value.Required?                    falsePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false    -ShowTooltip \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -ShowHighlight \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Area \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Outputs--------------------------> EXAMPLE 1 --------------------------PS >$Data = 1..10 | ForEach-Object { Get-Random -Max 1000 }PS > New-UDSparkline -Data $Data -Max 1000 -Height 100 -Width 500Basic sparkline|A basic sparkline.-------------------------- EXAMPLE 2 --------------------------PS >$Data = 1..10 | ForEach-Object { Get-Random -Max 1000 }PS > New-UDSparkline -Data $Data -Type 'lines' -Max 1000 -Height 100 -Width 500Lines|A sparkline with lines.-------------------------- EXAMPLE 3 --------------------------PS >$Data = 1..10 | ForEach-Object { Get-Random -Max 1000 }PS > New-UDSparkline -Data $Data -Type 'both' -Max 1000 -Height 100 -Width 500Both|A sparkline with both lines and bars.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/new-udsparkline.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
